AlertConditionBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.beans.AlertConditionBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.beans
Class AlertConditionBean

    java.lang.Object
      org.hyperic.hq.ui.beans.AlertConditionBean

    public final class AlertConditionBean

extends java.lang.Object

Helper bean for displaying alert conditions.

Constructor Summary
`AlertConditionBean(java.lang.String conditionText, boolean required, boolean first)`
`AlertConditionBean(java.lang.String conditionText, boolean required, boolean first, java.lang.String actualValue)`

Method Summary
`java.lang.String` | `getActualValue()`
`java.lang.String` | `getConditionText()`
`boolean` | `isFirst()`
`boolean` | `isRequired()`
`void` | `setActualValue(java.lang.String actualValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlertConditionBean

    public AlertConditionBean(java.lang.String conditionText,
                              boolean required,
                              boolean first)

### AlertConditionBean

    public AlertConditionBean(java.lang.String conditionText,
                              boolean required,
                              boolean first,
                              java.lang.String actualValue)

Method Detail

### getConditionText

    public java.lang.String getConditionText()

### isRequired

    public boolean isRequired()

### isFirst

    public boolean isFirst()

### getActualValue

    public java.lang.String getActualValue()

### setActualValue

    public void setActualValue(java.lang.String actualValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.